#!/usr/bin/env python3
"""
   utils.configuration.from_file.py file for the c3 buttons.
   This is the super class used from the other classes that fetches configurations from a file.
"""

import sys
from abc import ABC, abstractmethod

try:
    from utils.configuration.app_logger import set_logger_from_config
except ImportError as e:
    print("Unable to import 'set_logger_from_dict' from 'utils.configuration.app_logger.py' file at 'utils.database.from_api.py' file" )
    sys.exit(1)

class DataBaseUsed(ABC):
    """ TODO
    """

    def __init__(self, name: str, configuration: dict) -> None:

        self.configuration = configuration
        # self.logger = set_logger_from_config(name=__name__, config=self.configuration)
        self.logger = set_logger_from_config(name=name, config=self.configuration)
        self.debug = configuration.debug
        self.conn = None
        self.cursor = None

    @abstractmethod
    def add_button_box_usage(self, box_name: str):
        pass
